%define _disable_ld_as_needed 1
%define _disable_ld_no_undefined 1

#stop automatic dependencies
%define         _requires_exceptions    devel(libCRYPTOWrap)\\|devel(libRT)\\|devel(libcrypto)\\|devel(libgcc_s)\\|devel(libm)\\|devel(libssl)\\|devel(libstdc++)

Name:			clauer-digital
Version:		3.0.4
Release:		2.1
Requires:		openssl
Summary:		Clauer - Cryptographic keyring on a USB storage device
License:		BSD-like
Group:			System/Servers
URL:			http://www.idcat.net/
Source0:		ClauerLinux-%{version}.tar
Source1:		clauer.png
Source2:		clauer-uninstall.png
Source3:		clos
BuildRequires:		openssl-devel
BuildRequires:		ImageMagick
BuildRequires:		autoconf
BuildRequires:          gcc-c++
BuildRoot:		%{_tmppath}/%{name}-buildroot
Vendor:                 linkat

%description
L'idCAT és un identificador digital que garanteix la identitat de les persones a Internet.

Permet operar amb diferents administracions i, a més, assegura la integritat de les dades que envieu, 
així com la seva confidencialitat, ja que està emès per l'Agència Catalana de Certificació - CATCert.

%prep
%setup -q -n ClauerLinux-%{version}

%build
patch -p1 < /usr/src/packages/SOURCES/patch.Makefiles
%configure
%__make

%install
%__make DESTDIR=$RPM_BUILD_ROOT install
rm -rf %{buildroot}%{_libdir}/*.la

#icons
mkdir -p %{buildroot}/usr/share/pixmaps
install -m 644 %{SOURCE1} %{buildroot}/usr/share/pixmaps/%{name}.png
install -m 644 %{SOURCE2} %{buildroot}/usr/share/pixmaps/%{name}-uninstall.png

#init script
mkdir -p %{buildroot}%{_initrddir}
install -m 755 %{SOURCE3} %{buildroot}%{_initrddir}

#language files
mkdir -p %{buildroot}/usr/share/locale/es/LC_MESSAGES
install -m 644 clauer-utils/clauer-utils_es.mo %{buildroot}/usr/share/locale/es/LC_MESSAGES/clauer-utils.mo
mkdir -p %{buildroot}/usr/share/locale/ca/LC_MESSAGES
install -m 644 clauer-utils/clauer-utils_ca.mo %{buildroot}/usr/share/locale/ca/LC_MESSAGES/clauer-utils.mo

#menu entries
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/linkat-%{name}-pkcs11-firefox-install.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Install Clauer in Firefox
Comment=Install Clauer in Firefox
Name[es]=Instala Clauer en Firefox
Comment[es]=Instala Clauer en Firefox
Name[ca]=Instal·la Clauer per a Firefox
Comment[ca]=Instal·la Clauer per Firefox
Exec=firefox "http://linkat.xtec.cat/portal_linkat/wikilinkat/index.php/Clauer_Digital"
Icon=/usr/share/pixmaps/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Application;Network;Monitor;
X-SuSE-translate=true
EOF

cat > %{buildroot}%{_datadir}/applications/linkat-%{name}-pkcs11-firefox-uninstall.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Uninstall Clauer from Firefox
Comment=Uninstall Clauer from Firefox
Name[es]=Desinstala Clauer en Firefox
Comment[es]=Desinstala Clauer en Firefox
Name[ca]=Desinstal·la Clauer per a Firefox
Comment[ca]=Desinstal·la Clauer per a Firefox
Exec=firefox "http://linkat.xtec.cat/portal_linkat/wikilinkat/index.php/Clauer_Digital"
Icon=/usr/share/pixmaps/%{name}-uninstall.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Application;Network;Monitor;
X-SuSE-translate=true
EOF

rm -rf %{buildroot}/usr/bin/firefox-install-pkcs11.sh
rm -rf %{buildroot}/usr/bin/firefox-uninstall-pkcs11.sh

%find_lang clauer-utils

%clean
%__rm -fr %{buildroot}

%post
chkconfig clos on
/sbin/ldconfig

%postun
/sbin/ldconfig

%preun
chkconfig clos off

%files -f clauer-utils.lang
%defattr(-,root,root)
/usr/bin/*
%{_libdir}/*
/usr/sbin/clos
/etc/init.d/clos
/usr/share/applications/*
/usr/share/pixmaps/*

%changelog
* Fri Apr 9 2010 David Lara <dlara@espherica.com> 3.0.4
- Updated to version 3.0.4
- Deleted .la files
- Rebuild for Linkat 4

* Wed Mar 10 2010 David Lara <dlara@espherica.com>
- Changed desktop launchers.
- Deleted javascript files (don't work in Firefox 3.5)

* Fri May 15 2009 David Lara <dlara@espherica.com>
- Updated to version 3.0.3
- Rebuild for Linkat 3

* Fri Mar 06 2009 Javier Ortega <jom@nextret.net>
- Package updated for Linkat 2.1
- Modified:
	+ icons
	+ spec file
	+ .desktop files
	+ init file
  
* Tue Dec 23 2008 Adam Williamson <awilliamson@mandriva.com> 3.0.0-4.1mdv2009.0
+ Revision: 317800
- various fixes from Luca Olivetti (#45347):
  	+ disable underlinking protection
  	+ more dependency exceptions
  	+ fix the substitution so it doesn't generate a 0-byte file

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 3.0.0-2mdv2008.1
+ Revision: 140694
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 13 2007 Adam Williamson <awilliamson@mandriva.com> 3.0.0-2mdv2008.0
+ Revision: 85216
- fix %%post
- Import clauer
